Skip to main content
`Ctrl`+`K`

# PetscLayoutSetSize

Sets the global size for a `PetscLayout` object.

## Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutSetSize(PetscLayout map, PetscInt n)

Logically Collective

## Input Parameters

- map - pointer to the map

- n - the global size

## See Also

PetscLayout, `PetscLayoutCreate()`, `PetscLayoutSetLocalSize()`, `PetscLayoutGetLocalSize()`, `PetscLayoutGetSize()`, `PetscLayoutSetUp()` `PetscLayoutGetRange()`, `PetscLayoutGetRanges()`, `PetscLayoutSetBlockSize()`, `PetscLayoutGetBlockSize()`

## Level

developer

## Location

src/vec/is/utils/pmap.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages